// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdDigitalSigningPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdDigitalSigningPlugin", targets: ["WebIdDigitalSigningPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-plugin-core-spm.git",
            .exact("12.3.3")
        ),
        .package(
            name: "WebIdSdkUiKitComponents",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-sdk-ui-components-spm.git",
            .exact("9.3.1")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdDigitalSigningPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/snapshots/de/webid-solutions/WebIdDigitalSigningPlugin/11.2.0/WebIdDigitalSigningPlugin.framework-v11.2.0-SNAPSHOT-796.zip",
            checksum: "db6e6f8f8d44e0bb5fd5e930ad92ce56b71bb7226faf6d7b9a01b5c2f9a5bbab"
        ),
        .target(
            name: "WebIdDigitalSigningPluginWrapper",
            dependencies: [
                .target(name: "WebIdDigitalSigningPlugin"),
                // [target dependecies here]
                
                .product(name: "WebIdPluginCore", package: "WebIdPluginCore"),
                .product(name: "WebIdSdkUiKitComponents", package: "WebIdSdkUiKitComponents"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
